{
  aspartame.modules = [
    (
      {
        pkgs,
        lib,
        ...
      }: {
        nixpkgs.overlays = [
          (
            final: prev: let
              caddy-custom = pkgs.callPackage ./caddy-custom.nix {};
            in let
              # Caddy Layer4 modules
              l4CaddyModules =
                lib.lists.map
                (name: {
                  inherit name;
                  repo = "github.com/mholt/caddy-l4";
                  version = "3d22d6da412883875f573ee4ecca3dbb3fdf0fd0";
                })
                [
                  "layer4"
                  "modules/l4proxy"
                  "modules/l4tls"
                  "modules/l4proxyprotocol"
                ];
            in {
              caddy-default = caddy-custom;
              caddy-base = caddy-custom.withPlugins {caddyModules = [];};
              caddy-l4 = caddy-custom.withPlugins {
                caddyModules = l4CaddyModules;
                vendorHash = "sha256-Bz2tR1/a2okARCWFEeSEeVUx2mdBe0QKUh5qzKUOF8s=";
              };
              caddy-many = caddy-custom.withPlugins {
                caddyModules =
                  [
                    {
                      name = "transform-encoder";
                      repo = "github.com/caddyserver/transform-encoder";
                      version = "f627fc4f76334b7aef8d4ed8c99c7e2bcf94ac7d";
                    }
                    {
                      name = "connegmatcher";
                      repo = "github.com/mpilhlt/caddy-conneg";
                      version = "v0.1.4";
                    }
                  ]
                  ++ l4CaddyModules;
                vendorHash = "sha256-OjyJdcbLMSvgkHKR4xMF0BgsuA5kdKgDgV+ocuNHUf4=";
              };
            }
          )
        ];
      }
    )
  ];
  fructose.modules =  [
    ({pkgs, lib, ...}:{
      nixpkgs.overlays = [
        (final: prev: {
          gts = final.callPackage ./gts.nix {};
        })
      ];
    })
  ];

  personal.modules = [
    {
      nixpkgs.overlays = [
        (final: prev: {
          #         beeref = final.callPackage ./beeref.nix {}; # I'M GOING TO TRUNCATE *YOU*, BEEREF.
        })
      ];
    }
  ];
}
